enum TeamMemberRole {
  ADMIN
  MANAGER
  MEMBER
  VIEWER
}

type TeamMember @table(name: "team_members") {
  id: UUID! @default(expr: "uuidV4()")
  teamId: UUID!
  memberName: String!
  email: String!
  role: TeamMemberRole
  isActive: Boolean @default(expr: "true")
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
